Package org.h2.engine

# Class SettingsBase

java.lang.Object
org.h2.engine.SettingsBase

Direct Known Subclasses:
  `DbSettings`

public class SettingsBase extends Object
The base class for settings.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SettingsBase(HashMap<String,String> s)`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`containsKey(String k)`
Check if the settings contains the given key.
`protected boolean`
`get(String key, boolean defaultValue)`
Get the setting for the given key.
`protected int`
`get(String key, int defaultValue)`
Get the setting for the given key.
`protected String`
`get(String key, String defaultValue)`
Get the setting for the given key.
`HashMap<String,String>`
`getSettings()`
Get all settings.
`Map.Entry<String,String>[]`
`getSortedSettings()`
Get all settings in alphabetical order.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SettingsBase

protected SettingsBase(HashMap<String,String> s)

## Method Details

### get

protected boolean get(String key, boolean defaultValue)
Get the setting for the given key.

Parameters:
  `key` - the key
  `defaultValue` - the default value
Returns:
  the setting

### get

protected int get(String key, int defaultValue)
Get the setting for the given key.

Parameters:
  `key` - the key
  `defaultValue` - the default value
Returns:
  the setting

### get

protected String get(String key, String defaultValue)
Get the setting for the given key.

Parameters:
  `key` - the key
  `defaultValue` - the default value
Returns:
  the setting

### containsKey

protected boolean containsKey(String k)
Check if the settings contains the given key.

Parameters:
  `k` - the key
Returns:
  true if they do

### getSettings

public HashMap<String,String> getSettings()
Get all settings.

Returns:
  the settings

### getSortedSettings

public Map.Entry<String,String>[] getSortedSettings()
Get all settings in alphabetical order.

Returns:
  the settings